Xerces2 Implementation: Class ObjectListImpl

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.impl.xs.util
Class ObjectListImpl

    java.lang.Object
      |
      +--java.util.AbstractCollection
            |
            +--java.util.AbstractList
                  |
                  +--org.apache.xerces.impl.xs.util.ObjectListImpl

All Implemented Interfaces:
  java.util.Collection, java.util.List, org.apache.xerces.xs.datatypes.ObjectList

public final class ObjectListImpl
extends java.util.AbstractList
implements org.apache.xerces.xs.datatypes.ObjectList

Contains a list of Objects.

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

Version:
  $Id: ObjectListImpl.java 789785 2009-06-30 15:10:26Z knoaman $

Field Summary
`static ObjectListImpl` | `EMPTY_LIST` An immutable empty list.

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`ObjectListImpl(java.lang.Object[] array, int length)`

Method Summary
`boolean` | `contains(java.lang.Object item)` Checks if the `Object` `item` is a member of this list.
`java.lang.Object` | `get(int index)`
`int` | `getLength()` The number of `Object`s in the list.
`java.lang.Object` | `item(int index)` Returns the `index`th item in the collection or `null` if `index` is greater than or equal to the number of objects in the list.
`int` | `size()`
`java.lang.Object[]` | `toArray()`
`java.lang.Object[]` | `toArray(java.lang.Object[] a)`

Methods inherited from class java.util.AbstractList
`add, add, addAll, clear, equals, hashCode, indexOf, iterator, lastIndexOf, listIterator, listIterator, remove, removeRange, set, subList`

Methods inherited from class java.util.AbstractCollection
`addAll, containsAll, isEmpty, remove, removeAll, retainAll, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`add, add, addAll, addAll, clear, containsAll, equals, hashCode, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, retainAll, set, subList`

Field Detail

### EMPTY_LIST

    public static final ObjectListImpl EMPTY_LIST

  An immutable empty list.

Constructor Detail

### ObjectListImpl

    public ObjectListImpl(java.lang.Object[] array,
                          int length)

Method Detail

### getLength

    public int getLength()

  Description copied from interface: `org.apache.xerces.xs.datatypes.ObjectList`
  The number of `Object`s in the list. The range of valid child object indices is 0 to `length-1` inclusive.
  Specified by:
    `getLength` in interface `org.apache.xerces.xs.datatypes.ObjectList`

### contains

    public boolean contains(java.lang.Object item)

  Description copied from interface: `org.apache.xerces.xs.datatypes.ObjectList`
  Checks if the `Object` `item` is a member of this list.
  Specified by:
    `contains` in interface `org.apache.xerces.xs.datatypes.ObjectList`
  Overrides:
    `contains` in class `java.util.AbstractCollection`
  Following copied from interface: `org.apache.xerces.xs.datatypes.ObjectList`
  Parameters:
    `item` - `Object` whose presence in this list is to be tested.
  Returns:
    True if this list contains the `Object` `item`.

### item

    public java.lang.Object item(int index)

  Description copied from interface: `org.apache.xerces.xs.datatypes.ObjectList`
  Returns the `index`th item in the collection or `null` if `index` is greater than or equal to the number of objects in the list. The index starts at 0.
  Specified by:
    `item` in interface `org.apache.xerces.xs.datatypes.ObjectList`
  Following copied from interface: `org.apache.xerces.xs.datatypes.ObjectList`
  Parameters:
    `index` - index into the collection.
  Returns:
    The `Object` at the `index`th position in the `ObjectList`, or `null` if the index specified is not valid - greater than or equal to the number of items in the list or less than zero.

### get

    public java.lang.Object get(int index)

  Specified by:
    `get` in interface `java.util.List`
  Overrides:
    `get` in class `java.util.AbstractList`

### size

    public int size()

  Specified by:
    `size` in interface `java.util.List`
  Overrides:
    `size` in class `java.util.AbstractCollection`

### toArray

    public java.lang.Object[] toArray()

  Specified by:
    `toArray` in interface `java.util.List`
  Overrides:
    `toArray` in class `java.util.AbstractCollection`

### toArray

    public java.lang.Object[] toArray(java.lang.Object[] a)

  Specified by:
    `toArray` in interface `java.util.List`
  Overrides:
    `toArray` in class `java.util.AbstractCollection`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2018 The Apache Software Foundation. All Rights Reserved.